from flask import render_template

def init_app(app):
    """
    Mount the core “home” and “health” endpoints on the application.
    Calling init_app(app) will bind them.
    """
    @app.route('/')
    def home():
        return render_template('core/home.html')

    @app.route('/health')
    def health():
        return 'OK', 200
